Skip to navigation

Select Shipping Rate for Quote

Adds a shipping method to a specific quote based on the provided quoteId.

Use the Get Available Shipping Rates for a Quote or Get All B2B Quote Custom Shipping Methods endpoints to retrieve shipping method information that you can add to the quote.

The request body must include either the shippingMethodId field to add a static or real-time shipping method, or the customShippingMethodName and the customShippingMethodCost fields to add a custom shipping method.

This endpoint uses /shipping-rate (singular). Don’t confuse it with the Get Available Shipping Rates for a Quote endpoint, which uses /shipping-rates (plural). Using the wrong URL returns a 405 - Method Not Allowed error.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

quote_idintegerRequired
The internal numeric ID of the sales quote.

Request

This endpoint expects an object.
shippingMethodIdstringOptional

Shipping method ID. Cannot be used with customShippingMethodName at the same time.

customShippingMethodNamestringOptional

Custom shipping method name. Cannot be used with shippingMethodId at the same time.

customShippingMethodCostdoubleOptional>=0
Custom shipping method cost. Required when using custom shipping method.

Response

OK
codeintegerOptionalDefaults to 200
HTTP Response Code
dataobjectOptional
metaobjectOptional

Errors

422
Unprocessable Entity Error